package com.yonge.cooleshow.biz.dal.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroupDetail;
import com.yonge.cooleshow.common.entity.BaseEntity;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author: cy
 * @date: 2022/4/2 10:04
 */
@ApiModel(value = "VideoLessonStudentVo对象")
public class VideoLessonStudentVo extends BaseEntity {
    private VideoLessonGroupVo lessonGroup;

    private List<VideoLessonGroupDetail> detailList;

    @ApiModelProperty(value = "true已买,false未买")
    private Boolean alreadyBuy;

    @ApiModelProperty(value = "true 自己的课,false 其他老师的课程")
    private Boolean myself;

    @ApiModelProperty("学位认证 0:未认证 1：已认证 ")
    private YesOrNoEnum degreeFlag;


    @ApiModelProperty("教师资格认证 0：未认证 1：已认证 ")
    private YesOrNoEnum teacherFlag;

    public YesOrNoEnum getDegreeFlag() {
        return degreeFlag;
    }

    public void setDegreeFlag(YesOrNoEnum degreeFlag) {
        this.degreeFlag = degreeFlag;
    }

    public YesOrNoEnum getTeacherFlag() {
        return teacherFlag;
    }

    public void setTeacherFlag(YesOrNoEnum teacherFlag) {
        this.teacherFlag = teacherFlag;
    }

    public Boolean getMyself() {
        return myself;
    }

    public void setMyself(Boolean myself) {
        this.myself = myself;
    }

    public VideoLessonGroupVo getLessonGroup() {
        return lessonGroup;
    }

    public void setLessonGroup(VideoLessonGroupVo lessonGroup) {
        this.lessonGroup = lessonGroup;
    }

    public List<VideoLessonGroupDetail> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<VideoLessonGroupDetail> detailList) {
        this.detailList = detailList;
    }

    public Boolean getAlreadyBuy() {
        return alreadyBuy;
    }

    public void setAlreadyBuy(Boolean alreadyBuy) {
        this.alreadyBuy = alreadyBuy;
    }
}
